﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Infragistics.Web.UI.GridControls;
using Infragistics.Documents;


public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
		WebDataGrid1.DataSource = GetData();
    }

	private DataSet GetData()
	{
		DataSet ds = new DataSet();
		DataTable dt = new DataTable();
		dt.Columns.Add("LIMIT_NAME");
		dt.Columns.Add("LIMIT_VALUE");
		dt.Columns.Add("LIMIT_TYPE");

		dt.Rows.Add("Jason", 4, "C");
		dt.Rows.Add("John", 0, "A");
		dt.Rows.Add("Lisa", 3, "C");
		dt.Rows.Add("Paula", .20, "A");
		dt.Rows.Add("Cindy", 7, "C");
		dt.Rows.Add("Chuck", 10.5, "A");


		ds.Tables.Add(dt);
		return ds;



	}

	protected void wdg_InitializeRow(object sender, Infragistics.Web.UI.GridControls.RowEventArgs e)
	{
		var grid = (WebDataGrid)e.Row.Items.Grid;

		try
		{
			//if limit type is C = COUNT, format w/ no decimal
			//if limit type is A = AMOUNT, format w/ 2 decimals

			if (e.Row.Items[grid.Columns.FromKey("LIMIT_TYPE").Index].Value != null && e.Row.Items[grid.Columns.FromKey("LIMIT_TYPE").Index].Value.ToString().ToUpper() == "C")
				e.Row.Items[grid.Columns.FromKey("LIMIT_VALUE").Index].Text = double.Parse(e.Row.Items[grid.Columns.FromKey("LIMIT_VALUE").Index].Value.ToString()).ToString("#,##0");
			else
				e.Row.Items[grid.Columns.FromKey("LIMIT_VALUE").Index].Text = double.Parse(e.Row.Items[grid.Columns.FromKey("LIMIT_VALUE").Index].Value.ToString()).ToString("#,###.00");





			
			string limitName = e.Row.Items[grid.Columns.FromKey("LIMIT_NAME").Index].Value.ToString().Trim();

			if (e.Row.Items[grid.Columns.FromKey("LIMIT_VALUE").Index].Value.ToString() == "0")
				e.Row.Items[grid.Columns.FromKey("LIMIT_NAME").Index].CssClass = "igg_ItemNotUsed";


		}
		catch (Exception ex)
		{

		}




	}

	private void QuickPrint(string headerName, string downloadName)
	{

		WebDocumentExporter1.DataExportMode = DataExportMode.DataInGridOnly;
		WebDocumentExporter1.DownloadName = downloadName;
		WebDocumentExporter1.Export(WebDataGrid1);

	}

	protected void Button1_Click(object sender, EventArgs e)
	{
		QuickPrint("test", "test.pdf");
	}
}